Loading...
Searching...
No Matches
cl::detail::KernelArgumentHandler< T, typename std::enable_if<!std::is_base_of< cl::Memory, T >::value >::type > Struct Template Reference

## Static Public Member Functions

static size_type | size (const T &)
static const T * | ptr (const T &value)

## Detailed Description

template<typename T>
struct cl::detail::KernelArgumentHandler< T, typename std::enable_if<!std::is_base_of< cl::Memory, T >::value >::type >

Definition at line 6213 of file opencl.hpp.

## Member Function Documentation

## ptr()

template<typename T>

const T * cl::detail::KernelArgumentHandler< T, typename std::enable_if<!std::is_base_of< cl::Memory, T >::value >::type >::ptr | ( | const T & | value | ) |

inline static

Definition at line 6216 of file opencl.hpp.

## size()

template<typename T>

size_type cl::detail::KernelArgumentHandler< T, typename std::enable_if<!std::is_base_of< cl::Memory, T >::value >::type >::size | ( | const T & |  | ) |

inline static

Definition at line 6215 of file opencl.hpp.

The documentation for this struct was generated from the following file:

- opencl.hpp